Loading...
Searching...
No Matches
Terrain
Optional Components

Editable Terrain System with LOD [de2000fast], serialization and Paging support. More...

## Classes

class | Ogre::Terrain
| The main containing class for a chunk of terrain. More...
class | Ogre::TerrainAutoUpdateLod
| Terrain automatic LOD loading. More...
class | Ogre::TerrainAutoUpdateLodByDistance
| Class implementing TerrainAutoUpdateLod interface. More...
class | Ogre::TerrainAutoUpdateLodFactory
class | Ogre::TerrainGlobalOptions
| Options class which just stores default options for the terrain. More...
class | Ogre::TerrainGroup
| Helper class to assist you in managing multiple terrain instances that are connected to each other. More...
class | Ogre::TerrainLayerBlendMap
| Class exposing an interface to a blend map for a given layer. More...
struct | Ogre::TerrainLayerSampler
| Description of a sampler that will be used with each layer. More...
class | Ogre::TerrainLodManager
| Terrain LOD data manager. More...
class | Ogre::TerrainMaterialGenerator
| Class that provides functionality to generate materials for use with a terrain. More...
class | Ogre::TerrainMaterialGeneratorA
| A TerrainMaterialGenerator which can cope with normal mapped, specular mapped terrain. More...
class | Ogre::TerrainPagedWorldSection
| A world section which includes paged terrain. More...
class | Ogre::TerrainPaging
| This class is the 'core' class for paging terrain, that will integrate with the larger paging system and provide the appropriate utility classes required. More...
class | Ogre::TerrainQuadTreeNode
| A node in a quad tree used to store a patch of terrain. More...

## Typedefs

typedef std::vector< TerrainLayerBlendMap * > | Ogre::TerrainLayerBlendMapList
typedef std::vector< TerrainLayerSampler > | Ogre::TerrainLayerDeclaration
| The definition of the information each layer will contain in this terrain.
typedef SharedPtr< TerrainMaterialGenerator > | Ogre::TerrainMaterialGeneratorPtr

## Enumerations

enum | Ogre::TerrainAutoUpdateLodStrategy { Ogre::NONE = 0 , Ogre::BY_DISTANCE = 1 }

## Detailed Description

Editable Terrain System with LOD [de2000fast], serialization and Paging support.

Some details on the terrain component

Some details on the terrain component

Some details on the terrain component

Some details on the terrain component

Some details on the terrain LOD manager

Some details on the terrain component

Some details on the terrain component

Some details on the terrain auto load

## Typedef Documentation

## TerrainLayerBlendMapList

typedef std::vector<TerrainLayerBlendMap*> Ogre::TerrainLayerBlendMapList

## TerrainLayerDeclaration

typedef std::vector<TerrainLayerSampler> Ogre::TerrainLayerDeclaration

The definition of the information each layer will contain in this terrain.

All layers must contain the same structure of information, although the input textures can be different per layer instance.

## TerrainMaterialGeneratorPtr

typedef SharedPtr<TerrainMaterialGenerator> Ogre::TerrainMaterialGeneratorPtr

## Enumeration Type Documentation

## TerrainAutoUpdateLodStrategy

enum Ogre::TerrainAutoUpdateLodStrategy

Enumerator
NONE |
BY_DISTANCE |